Subject: [PATCHv2 3/8] ARM: EXYNOS: Add IO mapping for PMU of Exynos3250

From: [email-masked] (Chanwoo Choi)
Date: Tue, 15 Apr 2014 17:32:40 +0900

Hi,

On 04/15/2014 05:11 PM, Arnd Bergmann wrote:
> On Tuesday 15 April 2014 10:59:47 Chanwoo Choi wrote:
>> This patch add memory mapping for PMU (Power Management Unit) which is used
>> for power control of Exynos3250.
>>
>> Signed-off-by: Chanwoo Choi <[email-masked]>
>> Acked-by: Kyungmin Park <[email-masked]>
>> ---
>> Arnd Bergmann suggested that need proper driver instead of static memory mapping.
>> As Chanho Park reply[2], Sachin Kamat already posted the DT support patch[1]
>> for memory mapping for SYSRAM.
>> [1] http://www.spinics.net/lists/linux-samsung-soc/msg27647.html
>> [2] https://lkml.org/lkml/2014/4/10/161
>>
>> So, I'm going to re-implement following patch related to static memory mapping
>> after merged Sachin Kamat patch[1].
>>   ARM: EXYNOS: Add IO mapping for PMU of Exynos3250
> 
> I don't think we have a patch for the PMU yet, Sachin was looking at the SYSRAM
> only.

You are right. Sachin's patch only included the solution of SYSRAM memory mapping.
I set out the plan that I would implment proper driver for PMU memory mapping
instead of static method after merged Sachin's patch for SYSRAM.

But,
If you'd like me to implment PMU memory mapping instead of static mapping right now,
I'll implement it for PMU such as Sachin's patch on next posting(v3).

Thanks for your review.

Best Regards,
Chanwoo Choi